# IsConvertibleTo(TypeBase)

Method in [TypeBase](/3.1/api/csharp/yarn/yarn.typebase.md)

## Summary

Checks if this type is convertible to the type represented by `otherType` .

```csharp
public bool IsConvertibleTo(TypeBase otherType)
```

## Remarks

A type is convertible to another type if:

1. there is an explicit conversion available, or
2. it is a descendant of that type, or
3. the two types are identical.

## Parameters

| Name                                                             | Description        |
| ---------------------------------------------------------------- | ------------------ |
| [Yarn.TypeBase](/3.1/api/csharp/yarn/yarn.typebase.md) otherType | The type to check. |

## Returns

`true` if this type is convertible to `otherType` .


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn/yarn.typebase/yarn.typebase.isconvertibleto.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
